import HocError from '@/Hoc/HocError'
import React, { useMemo } from 'react'
import { useModel } from 'umi'
import TableData from '../../components/TableData'
import { columns } from './tableConfig'


/**投手个人付费趋势表 */
function Page() {
    const { state: { dataSource, pitcher }, getOsoRoi } = useModel('useData.useTableData')
    // 加工数据
    const data = useMemo(() => {
        if (dataSource) {
            return dataSource?.map((item: any, index: number) => {
                item['id'] = index
                return item
            })
        }
        return []
    }, [dataSource])
    //  //获取排序列表
    const sortArr = useMemo(() => {
        let arr: any[] = []
        columns().map((item: any) => {
            if (typeof item.title === 'string') {
                arr.push({ title: item.title, value: item.dataIndex, key: item.dataIndex })
            }
            if (typeof item.title === 'object' && typeof item.title.props.children[0] === 'string') {
                arr.push({ title: item.title, value: item.dataIndex, key: item.dataIndex })
            }
        })
        return arr
    }, [columns])
    return <>
        <TableData
            isZj
            isUserId
            // isDownload
            isLoginId
            isGroupTab={false}
            isSelctAcc
            isDepleteDateArr
            isOrderDateArr
            isDownload
            sortArr={sortArr}
            columns={columns}
            dataSource={data}
            title='公众号回收查询'
            scroll={{ x: 1000, y: 600 }}
            ajax={getOsoRoi}
        />
    </>
}

export default HocError(Page)